@using Devmil.Querubim.Dominio;
@using Devmil.Querubim.Web.Models;
@{
    SistemaViewModel model = new SistemaViewModel();
}
<div class="mdl-layout__header-row">
    <span class="android-title mdl-layout-title">
        <img id="android-logo-image" class="android-logo-image" src="~/images/querubim_logo.png">
    </span>
    <!-- Add spacer, to align navigation to the right in desktop -->
    <div class="android-header-spacer mdl-layout-spacer"></div>
    <div class="android-search-box mdl-textfield mdl-js-textfield mdl-textfield--expandable mdl-textfield--floating-label mdl-textfield--align-right mdl-textfield--full-width">
        <label class="mdl-button mdl-js-button mdl-button--icon" for="search-field">
            <i class="material-icons">search</i>
        </label>
        <div class="mdl-textfield__expandable-holder">
            <input class="mdl-textfield__input" type="text" id="search-field">
        </div>
    </div>
    <!-- Navigation -->
    <div class="android-navigation-container">
        <nav class="android-navigation mdl-navigation">
            @foreach (Menu menu in model.getMenu())
            {
                if (menu.PaiId == null && menu.Ativo == true)
                {
                    @Html.ActionLink(menu.Nome, menu.Action, menu.Controller, null, new { @class = "mdl-navigation__link mdl-typography--text-uppercase" })
                }
            }
        </nav>
    </div>
    <span class="android-mobile-title mdl-layout-title">
        <img id="android-logo-mobile" class="android-logo-image" src="~/images/querubim_logo.png">
    </span>
    <button class="android-more-button mdl-button mdl-js-button mdl-button--icon mdl-js-ripple-effect" id="more-button">
        <i class="material-icons">more_vert</i>
    </button>
    <ul class="mdl-menu mdl-js-menu mdl-menu--bottom-right mdl-js-ripple-effect" for="more-button">
        <li class="mdl-menu__item">Meus Dados</li>
        <li class="mdl-menu__item">Sobre</li>
        <li class="mdl-menu__item">Sair</li>
        <!-- <li disabled class="mdl-menu__item">4.3 Jelly Bean</li> -->
    </ul>
</div>
</div>

<div class="android-drawer mdl-layout__drawer mdl-color--light-green-500">
    <span class="mdl-layout-title">
        <img class="android-logo-image" src="~/images/querubim_logo.png">
    </span>
    <nav class="mdl-navigation">
        @foreach (Menu pai in model.getMenu().Where(m => m.PaiId == null).Where(m => m.Ativo == true))
        {
            <span class="mdl-navigation__link" href="">@pai.Nome</span>                        
            foreach (Menu filho in model.getMenu().Where(m => m.PaiId == pai.Id).Where(m => m.Ativo == true))
            {
                @Html.ActionLink(filho.Nome, filho.Action, filho.Controller, null, new { @class = "mdl-navigation__link" })
            }
            <div class="android-drawer-separator"></div>            
        }
    </nav>
